<form action="{{ url_list }}" method="get">

    {% set mxr    = app.request.get('mxr') is defined ? app.request.get('mxr') %}
    {% set search = app.request.get('s') is defined ? app.request.get('s') %}

    <div class="row">
        <div class="col">
            <div class="form-group">
                <label style="float: left; text-align: left;">
                    Show
                    <select style="display: inline-block;vertical-align: middle;width: auto;" class="form-control" name="mxr">
                        <option value="50"  {{ mxr is defined and mxr == 50 ? 'selected' }}>50</option>
                        <option value="100" {{ mxr is defined and mxr == 100 ? 'selected' }}>100</option>
                        <option value="300" {{ mxr is defined and mxr == 300 ? 'selected' }}>300</option>
                    </select>
                    entries
                </label>
            </div>
        </div>
        <div class="col-3">
            <div class="input-group mb-3 float-right">
                <input name="s" class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search" {{ search is defined ? 'value='~search|e~'' }}>
                <button class="btn btn-success my-2 my-sm-0" type="submit"><i class="fas fa-search"></i></button>
            </div>
        </div>
    </div>

</form>